Create Webhook
Create a webhook that periodically calls a specified endpoint with given arguments and sends the results to a designated URL.
Create Webhook › Request Body
pathThe path of the desired endpoint.
A dictionary of arguments to call the endpoint with. Note: Do not include 'start_timestamp' or 'end_timestamp' as these are handled by the webhook.
intervalThe interval (in minutes) at which the webhook will check the endpoint. Must be a multiple of 5.
receiver_urlThe URL to which the webhook payloads will be sent.
Optional headers to include in the webhook requests to your url.
Create Webhook › Responses
Successful Response
messageConfirmation message indicating successful creation of the webhook.
webhook_idThe unique identifier of the created webhook.
sample_dataA sample of the data that will be sent to the webhook receiver URL upon execution.
Get Webhooks
Retrieve a list of all webhooks associated with the authenticated user.
Get Webhooks › Responses
Successful Response
webhook_idUnique identifier for the webhook.
statusCurrent status of the webhook either 'active' or 'paused'.
User defined webhook configuration.
created_atTimestamp indicating when the webhook was created.